Bug 979654 - Review Request: perl-Log-Handler - Log messages to several outputs
Review Request: perl-Log-Handler - Log messages to several outputs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 987717
  Show dependency treegraph
 
Reported: 2013-06-29 02:24 EDT by Christopher Meng
Modified: 2013-07-23 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Log-Handler-0.78-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 22:27:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-06-29 02:24:09 EDT
Spec URL: http://cicku.me/perl-Log-Handler.spec
SRPM URL: http://cicku.me/perl-Log-Handler-0.78-1.fc20.src.rpm
Description: This module is a object oriented handler for logging, tracing and debugging. 
It is very easy to use and provides a simple interface for multiple output 
objects with lots of configuration parameters. You can easily filter the 
amount of logged information on a per-output base, define priorities, create 
patterns to format the messages and reload the complete logging machine.
Fedora Account System Username: cicku
Comment 1 Parag AN(पराग) 2013-07-01 08:41:02 EDT
Review:-

+ Mock build is successful

- rpmlint on rpms gave
perl-Log-Handler.noarch: W: install-file-in-docs /usr/share/doc/perl-Log-Handler-0.78/INSTALL
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball  : 520ed7e740fc0b06c9aebdf26263e1d33abb4afc9fa7d05b1df7eac532696678
upstream tarball : 520ed7e740fc0b06c9aebdf26263e1d33abb4afc9fa7d05b1df7eac532696678

+ license is valid and its text included in source files.

+ rest follows packaging guidelines

Suggestions:
1) Remove INSTALL from %doc as its generic not usable file.

APPROVED
Comment 2 Christopher Meng 2013-07-01 08:50:05 EDT
Many thanks!

New Package SCM Request
=======================
Package Name: perl-Log-Handler
Short Description: Log messages to several outputs
Owners: cicku
Branches: f19 f18
InitialCC:
Comment 3 Gwyn Ciesla 2013-07-01 09:08:08 EDT
Git done (by process-git-requests).
Comment 4 Parag AN(पराग) 2013-07-01 12:05:12 EDT
Drop MYMETA.yml from %doc. I see META.yml is already packaged as %doc.
Comment 5 Fedora Update System 2013-07-01 22:38:33 EDT
perl-Log-Handler-0.78-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Log-Handler-0.78-1.fc18
Comment 6 Fedora Update System 2013-07-01 22:39:30 EDT
perl-Log-Handler-0.78-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Log-Handler-0.78-1.fc19
Comment 7 Fedora Update System 2013-07-02 21:39:08 EDT
perl-Log-Handler-0.78-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-07-10 22:27:00 EDT
perl-Log-Handler-0.78-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-07-10 22:30:04 EDT
perl-Log-Handler-0.78-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.